## ros-jazzy-rosidl-generator-py 0.22.0

=== debian/changelog ===
ros-jazzy-rosidl-generator-py (0.22.0-3bookworm) bookworm; urgency=high

  * Revert install of .so files into python path (#211 <https://github.com/ros2/rosidl_python/issues/211>)
    There seems that some regression might have happened after #195 <https://github.com/ros2/rosidl_python/issues/195>.
    When removing those 2 lines, we avoid to install the .so files
    in lib *and* python path.
  * Contributors: Matthias Schoepfer

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.21.2-3bookworm) bookworm; urgency=high

  * Prototype code for seeing if FindPython3 is usable for rosidl_python (#140 <https://github.com/ros2/rosidl_python/issues/140>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.21.1-3bookworm) bookworm; urgency=high

  * Add in a missing space. (#203 <https://github.com/ros2/rosidl_python/issues/203>)
  * Contributors: Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.21.0-3bookworm) bookworm; urgency=high

  * Install compiled libraries only to 'lib' (#195 <https://github.com/ros2/rosidl_python/issues/195>)
  * Contributors: Scott K Logan

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.20.0-3bookworm) bookworm; urgency=high

  * Fix: Missing dependency that causes cmake error in downstream (resolves https://github.com/ros2/rosidl_python/issues/198) (#199 <https://github.com/ros2/rosidl_python/issues/199>)
  * Contributors: Isaac Saito

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.19.0-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.18.0-3bookworm) bookworm; urgency=high

  * Hides the assertions that checks the data types of the message fields. (#194 <https://github.com/ros2/rosidl_python/issues/194>)
  * Contributors: Eloy Briceno

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.17.0-3bookworm) bookworm; urgency=high

  * Service introspection (#178 <https://github.com/ros2/rosidl_python/issues/178>)
  * [rolling] Update maintainers - 2022-11-07 (#189 <https://github.com/ros2/rosidl_python/issues/189>)
  * Contributors: Audrow Nash, Brian

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.16.1-3bookworm) bookworm; urgency=high

  * Remove stray numpy import (#185 <https://github.com/ros2/rosidl_python/issues/185>)
  * Contributors: Ben Wolsieffer

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.16.0-3bookworm) bookworm; urgency=high

  * man_farmer
    
    Fix NaN values bound numpy windows version (#182)
  * Allow NaN values to pass floating point bounds check. (#167 <https://github.com/ros2/rosidl_python/issues/167>)
  * Replace rosidl_cmake imports with rosidl_pycommon (#177 <https://github.com/ros2/rosidl_python/issues/177>)
  * Change decode error mode to replace (#176 <https://github.com/ros2/rosidl_python/issues/176>)
  * Merge pull request #173 <https://github.com/ros2/rosidl_python/issues/173> from ros2/quarkytale/fix_import_order
  * fix flake
  * sorting after conversion
  * Revert "Use modern cmake targets to avoid absolute paths to appear in binary archives (#160 <https://github.com/ros2/rosidl_python/issues/160>)" (#166 <https://github.com/ros2/rosidl_python/issues/166>)
  * Use modern cmake targets to avoid absolute paths to appear in binary archives (#160 <https://github.com/ros2/rosidl_python/issues/160>)
  * michel as author
  * adding maintainer
  * Contributors: Cristóbal Arroyo, Dharini Dutia, Ivan Santiago Paunovic, Jacob Perron, Tomoya Fujita, quarkytale, Øystein Sture

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.15.0-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.14.2-3bookworm) bookworm; urgency=high

  * Removes erroneous unmatched closing parenthesis (#125 <https://github.com/ros2/rosidl_python/issues/125>)
  * require Python 3.6 as we use format strings in various places (#152 <https://github.com/ros2/rosidl_python/issues/152>)
  * Contributors: Charles Cross, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.14.1-3bookworm) bookworm; urgency=high

  * Fix rosidl_generator_py assuming incorect library names (#149 <https://github.com/ros2/rosidl_python/issues/149>)
  * Fix for msg file containing a property field that is not at the end (#151 <https://github.com/ros2/rosidl_python/issues/151>)
  * Update package maintainers (#147 <https://github.com/ros2/rosidl_python/issues/147>)
  * Contributors: Chen Lihui, Michel Hidalgo, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.14.0-3bookworm) bookworm; urgency=high

  * Use rosidl_get_typesupport_target() (#139 <https://github.com/ros2/rosidl_python/issues/139>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-jazzy-rosidl-generator-py (0.13.0-3bookworm) bookworm; urgency=high

  * Support available typesupport specification in CLI extension (#133 <https://github.com/ros2/rosidl_python/issues/133>)
  * Use python_d for test_cli_extension in Debug mode (#136 <https://github.com/ros2/rosidl_python/issues/136>)
  * Add missing float/double bounds check (#128 <https://github.com/ros2/rosidl_python/issues/128>)

